Bug Hunting Session
Bug 126414 - In Windows, Date Picker invisible w/ OpenGL, flashes w/ default
Summary: In Windows, Date Picker invisible w/ OpenGL, flashes w/ default
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All Windows (All)
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.4.0
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2019-07-15 21:08 UTC by Luke
Modified: 2019-07-17 03:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2019-07-15 21:08:39 UTC
Steps to reproduce
1. In Windows open  attachment 145334 [details]
2. Click on either of the 2 Date Pickers

Expected Results
1. Date picker dialog appears and field does not flash

Actual Results:
1. With Intel GPU + UI render: GL, no dialog appears
2. With UI render: default, date field flashes


5d390df540c19b88814d22a2e8b0dab86af17541
2019-07-12
bad

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 2f2f4767089512c34514896bc37823f9310e9dd4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-10_02:13:57
Good
Comment 1 Commit Notification 2019-07-16 16:04:08 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/13a2db4941447001b81b077ee587903ae84cfc91%5E%21

tdf#126414: MSForms: fix flickering of date field button on Windows

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Luke 2019-07-17 03:59:29 UTC
Verified FIXED in Version: 6.4.0.0.alpha0+ (x86)
Build ID: 28fcb7d86765194b4015e7023449333f43aba0c5

Thanks Tamás!